Arbor 3: FSM & BT Graph Editor 3.3.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
ParameterContainerInternal Class Reference

ParameterContainer. More...

Inheritance diagram for ParameterContainerInternal:

## Public Member Functions
Parameter | GetParameterFromIndex (int index)
| Get Parameter from index. More...
void | Refresh ()
| Editor only More...
Parameter | AddParam (string name, Parameter.Type type)
| Add a parameter. More...
Parameter | GetParam (string name)
| Get the parameters from the name. More...
int | GetParamID (string name)
| Get the parameters ID from the name. More...
Parameter | GetParam (int id)
| Get the parameters from the ID. More...
void | DeleteParam (Parameter parameter)
| Delete a parameter. More...
void | DeleteParam (string name)
| Delete the parameters by name. More...
void | DeleteParam (int id)
| Delete the parameters by ID. More...
string | MakeUniqueName (string name)
| It generates a name that does not overlap. More...
bool | SetFloat (string name, float value)
| It wants to set the value of the Float type. More...
bool | SetFloat (int id, float value)
| It wants to set the value of the Float type. More...
bool | TryGetFloat (string name, out float value)
| Get the value of the Float type. More...
bool | TryGetFloat (int id, out float value)
| Get the value of the Float type. More...
float | GetFloat (string name, float defaultValue=0.0f)
| Get the value of the Float type. More...
float | GetFloat (int id, float defaultValue=0.0f)
| Get the value of the Float type. More...
bool | GetFloat (string name, out float value)
| Get the value of the Float type. More...
bool | GetFloat (int id, out float value)
| Get the value of the Float type. More...
bool | SetInt (string name, int value)
| It wants to set the value of the Int type. More...
bool | SetInt (int id, int value)
| It wants to set the value of the Int type. More...
bool | TryGetInt (string name, out int value)
| Get the value of the Int type. More...
bool | TryGetInt (int id, out int value)
| Get the value of the Int type. More...
int | GetInt (int id, int defaultValue=0)
| Get the value of the Int type. More...
int | GetInt (string name, int defaultValue=0)
| Get the value of the Int type. More...
bool | GetInt (string name, out int value)
| Get the value of the Int type. More...
bool | GetInt (int id, out int value)
| Get the value of the Int type. More...
bool | SetLong (string name, long value)
| It wants to set the value of the Long type. More...
bool | SetLong (int id, long value)
| It wants to set the value of the Long type. More...
bool | TryGetLong (string name, out long value)
| Get the value of the Long type. More...
bool | TryGetLong (int id, out long value)
| Get the value of the Long type. More...
long | GetLong (string name, long defaultValue=0L)
| Get the value of the Long type. More...
long | GetLong (int id, long defaultValue=0L)
| Get the value of the Long type. More...
bool | GetLong (string name, out long value)
| Get the value of the Long type. More...
bool | GetLong (int id, out long value)
| Get the value of the Long type. More...
bool | SetBool (string name, bool value)
| It wants to set the value of the Bool type. More...
bool | SetBool (int id, bool value)
| It wants to set the value of the Bool type. More...
bool | TryGetBool (string name, out bool value)
| Get the value of the Bool type. More...
bool | TryGetBool (int id, out bool value)
| Get the value of the Bool type. More...
bool | GetBool (string name, bool defaultValue=false)
| Get the value of the Bool type. More...
bool | GetBool (int id, bool defaultValue=false)
| Get the value of the Bool type. More...
bool | GetBool (string name, out bool value)
| Get the value of the Bool type. More...
bool | GetBool (int id, out bool value)
| Get the value of the Bool type. More...
bool | SetString (string name, string value)
| It wants to set the value of the String type. More...
bool | SetString (int id, string value)
| It wants to set the value of the String type. More...
bool | TryGetString (string name, out string value)
| Get the value of the String type. More...
bool | TryGetString (int id, out string value)
| Get the value of the String type. More...
string | GetString (string name, string defaultValue="")
| Get the value of the String type. More...
string | GetString (int id, string defaultValue="")
| Get the value of the String type. More...
bool | GetString (string name, out string value)
| Get the value of the String type. More...
bool | GetString (int id, out string value)
| Get the value of the String type. More...
bool | SetGameObject (string name, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | SetGameObject (int id, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | TryGetGameObject (string name, out GameObject value)
| Get the value of the GameObject type. More...
bool | TryGetGameObject (int id, out GameObject value)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (string name, GameObject defaultValue=null)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (int id, GameObject defaultValue=null)
| Get the value of the GameObject type. More...
bool | GetGameObject (string name, out GameObject value)
| Get the value of the GameObject type. More...
bool | GetGameObject (int id, out GameObject value)
| Get the value of the GameObject type. More...
bool | SetVector2 (string name, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | SetVector2 (int id, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | TryGetVector2 (string name, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | TryGetVector2 (int id, out Vector2 value)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (string name, Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (string name)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (int id, Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (int id)
| Get the value of the Vector2 type. More...
bool | GetVector2 (string name, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | GetVector2 (int id, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | SetVector3 (string name, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | SetVector3 (int id, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | TryGetVector3 (string name, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | TryGetVector3 (int id, out Vector3 value)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (string name, Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (string name)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (int id, Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (int id)
| Get the value of the Vector3 type. More...
bool | GetVector3 (string name, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | GetVector3 (int id, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | SetQuaternion (string name, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | SetQuaternion (int id, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | TryGetQuaternion (string name, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | TryGetQuaternion (int id, out Quaternion value)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (string name, Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (string name)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (int id, Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (int id)
| Get the value of the Quaternion type. More...
bool | GetQuaternion (string name, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | GetQuaternion (int id, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | SetRect (string name, Rect value)
| It wants to set the value of the Rect type. More...
bool | SetRect (int id, Rect value)
| It wants to set the value of the Rect type. More...
bool | TryGetRect (string name, out Rect value)
| Get the value of the Rect type. More...
bool | TryGetRect (int id, out Rect value)
| Get the value of the Rect type. More...
Rect | GetRect (string name, Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect (string name)
| Get the value of the Rect type. More...
Rect | GetRect (int id, Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect (int id)
| Get the value of the Rect type. More...
bool | GetRect (string name, out Rect value)
| Get the value of the Rect type. More...
bool | GetRect (int id, out Rect value)
| Get the value of the Rect type. More...
bool | SetBounds (string name, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | SetBounds (int id, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | TryGetBounds (string name, out Bounds value)
| Get the value of the Bounds type. More...
bool | TryGetBounds (int id, out Bounds value)
| Get the value of the Bounds type. More...
Bounds | GetBounds (string name, Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds (string name)
| Get the value of the Bounds type. More...
Bounds | GetBounds (int id, Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds (int id)
| Get the value of the Bounds type. More...
bool | GetBounds (string name, out Bounds value)
| Get the value of the Bounds type. More...
bool | GetBounds (int id, out Bounds value)
| Get the value of the Bounds type. More...
bool | SetColor (string name, Color value)
| It wants to set the value of the Color type. More...
bool | SetColor (int id, Color value)
| It wants to set the value of the Color type. More...
bool | TryGetColor (string name, out Color value)
| Get the value of the Color type. More...
bool | TryGetColor (int id, out Color value)
| Get the value of the Color type. More...
Color | GetColor (string name, Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor (string name)
| Get the value of the Color type. More...
Color | GetColor (int id, Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor (int id)
| Get the value of the Color type. More...
bool | GetColor (string name, out Color value)
| Get the value of the Color type. More...
bool | GetColor (int id, out Color value)
| Get the value of the Color type. More...
bool | SetTransform (string name, Transform value)
| It wants to set the value of the Transform type. More...
bool | SetTransform (int id, Transform value)
| It wants to set the value of the Transform type. More...
bool | TryGetTransform (string name, out Transform value)
| Get the value of the Transform type. More...
bool | TryGetTransform (int id, out Transform value)
| Get the value of the Transform type. More...
Transform | GetTransform (string name, Transform defaultValue=null)
| Get the value of the Transform type. More...
Transform | GetTransform (int id, Transform defaultValue=null)
| Get the value of the Transform type. More...
bool | GetTransform (string name, out Transform value)
| Get the value of the Transform type. More...
bool | GetTransform (int id, out Transform value)
| Get the value of the Transform type. More...
bool | SetRectTransform (string name, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | SetRectTransform (int id, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | TryGetRectTransform (string name, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | TryGetRectTransform (int id, out RectTransform value)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (string name, RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (int id, RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
bool | GetRectTransform (string name, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | GetRectTransform (int id, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | SetRigidbody (string name, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | SetRigidbody (int id, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | TryGetRigidbody (string name, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | TryGetRigidbody (int id, out Rigidbody value)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (string name, Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (int id, Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
bool | GetRigidbody (string name, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | GetRigidbody (int id, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | SetRigidbody2D (string name, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | SetRigidbody2D (int id, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (string name, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (int id, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (string name, Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (int id, Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (string name, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (int id, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
Parameter | FindParameterContainsVariable (VariableBase variable)
| Acquisition of parameters VariableBase belongs. More...
void | DestroySubComponents ()
| Method to be used internally. More...

## Static Public Member Functions
static void | Destroy (ParameterContainerInternal parameterContainer)
| Destroy ParameterContainerInternal More...

## Properties
Parameter[] | parameters`[get]`
| Get an array of parameters. More...
int | parameterCount`[get]`
| Get a count of Parameter. More...
Properties inherited from ParameterContainerBase
ParameterContainerInternal | container`[get]`
| It returns the ParameterContainer entity. More...
ParameterContainerInternal | defaultContainer`[get]`
| It returns the original ParameterContainer. More...

## Detailed Description

ParameterContainer.

Is used by attaching to GameObject.

## Member Function Documentation

Parameter AddParam | ( | string | name,
|  | Parameter.Type | type
| ) |  |

Add a parameter.

Parameters

  name | Name. It is changed to a unique name if the name had been duplicated.
  type | Type.

Returns
  It added parameters.

void DeleteParam | ( | Parameter | parameter | ) |

Delete a parameter.

Parameters

  parameter | Parameter.

void DeleteParam | ( | string | name | ) |

Delete the parameters by name.

Parameters

  name | Name.

void DeleteParam | ( | int | id | ) |

Delete the parameters by ID.

Parameters

  id | ID.

static void Destroy | ( | ParameterContainerInternal | parameterContainer | ) |
| static

Destroy ParameterContainerInternal

Parameters

  parameterContainer | ParameterContainerInternal

void DestroySubComponents | ( |  | ) |

Method to be used internally.

In particular there is no need to call.

Parameter FindParameterContainsVariable | ( | VariableBase | variable | ) |

Acquisition of parameters VariableBase belongs.

Parameters

  variable | VariableBase

Returns
  Parameters VariableBase belongs. Return null if not.

bool GetBool | ( | string | name,
|  | bool | defaultValue = `false`
| ) |  |

Get the value of the Bool type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetBool | ( | int | id,
|  | bool | defaultValue = `false`
| ) |  |

Get the value of the Bool type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetBool | ( | string | name,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool GetBool | ( | int | id,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Bounds GetBounds | ( | string | name,
|  | Bounds | defaultValue
| ) |  |

Get the value of the Bounds type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Bounds GetBounds | ( | string | name | ) |

Get the value of the Bounds type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns 0 bounds.

Bounds GetBounds | ( | int | id,
|  | Bounds | defaultValue
| ) |  |

Get the value of the Bounds type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Bounds GetBounds | ( | int | id | ) |

Get the value of the Bounds type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns 0 bounds.

bool GetBounds | ( | string | name,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetBounds | ( | int | id,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Color GetColor | ( | string | name,
|  | Color | defaultValue
| ) |  |

Get the value of the Color type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Color GetColor | ( | string | name | ) |

Get the value of the Color type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Color.white.

Color GetColor | ( | int | id,
|  | Color | defaultValue
| ) |  |

Get the value of the Color type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Color GetColor | ( | int | id | ) |

Get the value of the Color type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Color.white.

bool GetColor | ( | string | name,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetColor | ( | int | id,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

float GetFloat | ( | string | name,
|  | float | defaultValue = `0.0f`
| ) |  |

Get the value of the Float type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

float GetFloat | ( | int | id,
|  | float | defaultValue = `0.0f`
| ) |  |

Get the value of the Float type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetFloat | ( | string | name,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetFloat | ( | int | id,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

GameObject GetGameObject | ( | string | name,
|  | GameObject | defaultValue = `null`
| ) |  |

Get the value of the GameObject type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

GameObject GetGameObject | ( | int | id,
|  | GameObject | defaultValue = `null`
| ) |  |

Get the value of the GameObject type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetGameObject | ( | string | name,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetGameObject | ( | int | id,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

int GetInt | ( | int | id,
|  | int | defaultValue = `0`
| ) |  |

Get the value of the Int type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

int GetInt | ( | string | name,
|  | int | defaultValue = `0`
| ) |  |

Get the value of the Int type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetInt | ( | string | name,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool GetInt | ( | int | id,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

long GetLong | ( | string | name,
|  | long | defaultValue = `0L`
| ) |  |

Get the value of the Long type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

long GetLong | ( | int | id,
|  | long | defaultValue = `0L`
| ) |  |

Get the value of the Long type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetLong | ( | string | name,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool GetLong | ( | int | id,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Parameter GetParam | ( | string | name | ) |

Get the parameters from the name.

Parameters

  name | Name.

Returns
  Parameters. Return null if you did not exist.

Parameter GetParam | ( | int | id | ) |

Get the parameters from the ID.

Parameters

  id | ID.

Returns
  Parameters. Return null if you did not exist.

Parameter GetParameterFromIndex | ( | int | index | ) |

Get Parameter from index.

Parameters

  index | Index

Returns
  Parameter

int GetParamID | ( | string | name | ) |

Get the parameters ID from the name.

Parameters

  name | Name.

Returns
  Parameters ID. Return 0 if you did not exist.

Quaternion GetQuaternion | ( | string | name,
|  | Quaternion | defaultValue
| ) |  |

Get the value of the Quaternion type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Quaternion GetQuaternion | ( | string | name | ) |

Get the value of the Quaternion type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Quaternion.identity.

Quaternion GetQuaternion | ( | int | id,
|  | Quaternion | defaultValue
| ) |  |

Get the value of the Quaternion type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Quaternion GetQuaternion | ( | int | id | ) |

Get the value of the Quaternion type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Quaternion.identity.

bool GetQuaternion | ( | string | name,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetQuaternion | ( | int | id,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Rect GetRect | ( | string | name,
|  | Rect | defaultValue
| ) |  |

Get the value of the Rect type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Rect GetRect | ( | string | name | ) |

Get the value of the Rect type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Rect(0, 0, 0, 0).

Rect GetRect | ( | int | id,
|  | Rect | defaultValue
| ) |  |

Get the value of the Rect type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Rect GetRect | ( | int | id | ) |

Get the value of the Rect type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Rect(0, 0, 0, 0).

bool GetRect | ( | string | name,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetRect | ( | int | id,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

RectTransform GetRectTransform | ( | string | name,
|  | RectTransform | defaultValue = `null`
| ) |  |

Get the value of the RectTransform type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

RectTransform GetRectTransform | ( | int | id,
|  | RectTransform | defaultValue = `null`
| ) |  |

Get the value of the RectTransform type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetRectTransform | ( | string | name,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetRectTransform | ( | int | id,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Rigidbody GetRigidbody | ( | string | name,
|  | Rigidbody | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Rigidbody GetRigidbody | ( | int | id,
|  | Rigidbody | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetRigidbody | ( | string | name,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetRigidbody | ( | int | id,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Rigidbody2D GetRigidbody2D | ( | string | name,
|  | Rigidbody2D | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

Rigidbody2D GetRigidbody2D | ( | int | id,
|  | Rigidbody2D | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

bool GetRigidbody2D | ( | string | name,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetRigidbody2D | ( | int | id,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

string GetString | ( | string | name,
|  | string | defaultValue = `""`
| ) |  |

Get the value of the String type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

string GetString | ( | int | id,
|  | string | defaultValue = `""`
| ) |  |

Get the value of the String type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetString | ( | string | name,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool GetString | ( | int | id,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Transform GetTransform | ( | string | name,
|  | Transform | defaultValue = `null`
| ) |  |

Get the value of the Transform type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Transform GetTransform | ( | int | id,
|  | Transform | defaultValue = `null`
| ) |  |

Get the value of the Transform type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

bool GetTransform | ( | string | name,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetTransform | ( | int | id,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Vector2 GetVector2 | ( | string | name,
|  | Vector2 | defaultValue
| ) |  |

Get the value of the Vector2 type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Vector2 GetVector2 | ( | string | name | ) |

Get the value of the Vector2 type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Vector2.zero.

Vector2 GetVector2 | ( | int | id,
|  | Vector2 | defaultValue
| ) |  |

Get the value of the Vector2 type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Vector2 GetVector2 | ( | int | id | ) |

Get the value of the Vector2 type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Vector2.zero.

bool GetVector2 | ( | string | name,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetVector2 | ( | int | id,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Vector3 GetVector3 | ( | string | name,
|  | Vector3 | defaultValue
| ) |  |

Get the value of the Vector3 type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Vector3 GetVector3 | ( | string | name | ) |

Get the value of the Vector3 type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Vector3.zero.

Vector3 GetVector3 | ( | int | id,
|  | Vector3 | defaultValue
| ) |  |

Get the value of the Vector3 type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Vector3 GetVector3 | ( | int | id | ) |

Get the value of the Vector3 type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Vector3.zero.

bool GetVector3 | ( | string | name,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool GetVector3 | ( | int | id,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

string MakeUniqueName | ( | string | name | ) |

It generates a name that does not overlap.

Parameters

  name | The original name.

Returns
  Result.

void Refresh | ( |  | ) |

Editor only

bool SetBool | ( | string | name,
|  | bool | value
| ) |  |

It wants to set the value of the Bool type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetBool | ( | int | id,
|  | bool | value
| ) |  |

It wants to set the value of the Bool type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetBounds | ( | string | name,
|  | Bounds | value
| ) |  |

It wants to set the value of the Bounds type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetBounds | ( | int | id,
|  | Bounds | value
| ) |  |

It wants to set the value of the Bounds type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetColor | ( | string | name,
|  | Color | value
| ) |  |

It wants to set the value of the Color type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetColor | ( | int | id,
|  | Color | value
| ) |  |

It wants to set the value of the Color type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetFloat | ( | string | name,
|  | float | value
| ) |  |

It wants to set the value of the Float type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetFloat | ( | int | id,
|  | float | value
| ) |  |

It wants to set the value of the Float type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetGameObject | ( | string | name,
|  | GameObject | value
| ) |  |

It wants to set the value of the GameObject type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetGameObject | ( | int | id,
|  | GameObject | value
| ) |  |

It wants to set the value of the GameObject type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetInt | ( | string | name,
|  | int | value
| ) |  |

It wants to set the value of the Int type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetInt | ( | int | id,
|  | int | value
| ) |  |

It wants to set the value of the Int type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetLong | ( | string | name,
|  | long | value
| ) |  |

It wants to set the value of the Long type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetLong | ( | int | id,
|  | long | value
| ) |  |

It wants to set the value of the Long type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetQuaternion | ( | string | name,
|  | Quaternion | value
| ) |  |

It wants to set the value of the Quaternion type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetQuaternion | ( | int | id,
|  | Quaternion | value
| ) |  |

It wants to set the value of the Quaternion type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetRect | ( | string | name,
|  | Rect | value
| ) |  |

It wants to set the value of the Rect type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetRect | ( | int | id,
|  | Rect | value
| ) |  |

It wants to set the value of the Rect type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetRectTransform | ( | string | name,
|  | RectTransform | value
| ) |  |

It wants to set the value of the RectTransform type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetRectTransform | ( | int | id,
|  | RectTransform | value
| ) |  |

It wants to set the value of the RectTransform type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetRigidbody | ( | string | name,
|  | Rigidbody | value
| ) |  |

It wants to set the value of the Rigidbody type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetRigidbody | ( | int | id,
|  | Rigidbody | value
| ) |  |

It wants to set the value of the Rigidbody type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetRigidbody2D | ( | string | name,
|  | Rigidbody2D | value
| ) |  |

It wants to set the value of the Rigidbody2D type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetRigidbody2D | ( | int | id,
|  | Rigidbody2D | value
| ) |  |

It wants to set the value of the Rigidbody2D type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetString | ( | string | name,
|  | string | value
| ) |  |

It wants to set the value of the String type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetString | ( | int | id,
|  | string | value
| ) |  |

It wants to set the value of the String type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetTransform | ( | string | name,
|  | Transform | value
| ) |  |

It wants to set the value of the Transform type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetTransform | ( | int | id,
|  | Transform | value
| ) |  |

It wants to set the value of the Transform type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetVector2 | ( | string | name,
|  | Vector2 | value
| ) |  |

It wants to set the value of the Vector2 type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetVector2 | ( | int | id,
|  | Vector2 | value
| ) |  |

It wants to set the value of the Vector2 type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetVector3 | ( | string | name,
|  | Vector3 | value
| ) |  |

It wants to set the value of the Vector3 type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool SetVector3 | ( | int | id,
|  | Vector3 | value
| ) |  |

It wants to set the value of the Vector3 type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool TryGetBool | ( | string | name,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool TryGetBool | ( | int | id,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool TryGetBounds | ( | string | name,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetBounds | ( | int | id,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetColor | ( | string | name,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetColor | ( | int | id,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetFloat | ( | string | name,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetFloat | ( | int | id,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetGameObject | ( | string | name,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetGameObject | ( | int | id,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetInt | ( | string | name,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool TryGetInt | ( | int | id,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool TryGetLong | ( | string | name,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool TryGetLong | ( | int | id,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool TryGetQuaternion | ( | string | name,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetQuaternion | ( | int | id,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetRect | ( | string | name,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetRect | ( | int | id,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetRectTransform | ( | string | name,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetRectTransform | ( | int | id,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetRigidbody | ( | string | name,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetRigidbody | ( | int | id,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetRigidbody2D | ( | string | name,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetRigidbody2D | ( | int | id,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetString | ( | string | name,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool TryGetString | ( | int | id,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

bool TryGetTransform | ( | string | name,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetTransform | ( | int | id,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetVector2 | ( | string | name,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetVector2 | ( | int | id,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetVector3 | ( | string | name,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

bool TryGetVector3 | ( | int | id,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## Property Documentation

int parameterCount
| get

Get a count of Parameter.

Parameter [] parameters
| get

Get an array of parameters.